- @no_container = true
- breadcrumb_title "Dashboard"

%div{ class: container_class }
  = render_if_exists 'admin/licenses/breakdown', license: @license

  .admin-dashboard.prepend-top-default
    .row
      .col-sm-4
        .info-well.dark-well
          .well-segment.well-centered
            = link_to admin_projects_path do
              %h3.text-center
                Projects:
                = approximate_count_with_delimiters(@counts, Project)
            %hr
            = link_to('Create a very new project', new_project_path, class: "btn btn-success")
      .col-sm-4
        .info-well.dark-well
          .well-segment.well-centered
            = link_to admin_users_path do
              %h3.text-center
                Users:
                = approximate_count_with_delimiters(@counts, User)
            %hr
            .btn-group.d-flex{ role: 'group' }
              = link_to 'New user', new_admin_user_path, class: "btn btn-success"
              = render_if_exists 'admin/dashboard/users_statistics'
      .col-sm-4
        .info-well.dark-well
          .well-segment.well-centered
            = link_to admin_groups_path do
              %h3.text-center
                Groups:
                = approximate_count_with_delimiters(@counts, Group)
            %hr
            = link_to 'New group', new_admin_group_path, class: "btn btn-success"
    .row
      .col-md-4
        .info-well
          .well-segment.admin-well.admin-well-statistics
            %h4 Statistics
            %p
              Forks
              %span.light.float-right
                = approximate_fork_count_with_delimiters(@counts)
            %p
              Issues
              %span.light.float-right
                = approximate_count_with_delimiters(@counts, Issue)
            %p
              Merge Requests
              %span.light.float-right
                = approximate_count_with_delimiters(@counts, MergeRequest)
            %p
              Notes
              %span.light.float-right
                = approximate_count_with_delimiters(@counts, Note)
            %p
              Snippets
              %span.light.float-right
                = approximate_count_with_delimiters(@counts, Snippet)
            %p
              SSH Keys
              %span.light.float-right
                = approximate_count_with_delimiters(@counts, Key)
            %p
              Milestones
              %span.light.float-right
                = approximate_count_with_delimiters(@counts, Milestone)
            %p
              Active Users
              %span.light.float-right
                = number_with_delimiter(User.active.count)
      .col-md-4
        .info-well
          .well-segment.admin-well.admin-well-features
            %h4 Features
            - sign_up = "Sign up"
            %p{ "aria-label" => "#{sign_up}: status " + (allow_signup? ? "on" : "off") }
              = sign_up
              %span.light.float-right
                = boolean_to_icon allow_signup?
            - ldap = "LDAP"
            %p{ "aria-label" => "#{ldap}: status " + (Gitlab.config.ldap.enabled ? "on" : "off") }
              = ldap
              %span.light.float-right
                = boolean_to_icon Gitlab.config.ldap.enabled
            - gravatar = "Gravatar"
            %p{ "aria-label" => "#{gravatar}: status " + (gravatar_enabled? ? "on" : "off") }
              = gravatar
              %span.light.float-right
                = boolean_to_icon gravatar_enabled?
            - omniauth = "OmniAuth"
            %p{ "aria-label" => "#{omniauth}: status " + (Gitlab::Auth.omniauth_enabled? ? "on" : "off") }
              = omniauth
              %span.light.float-right
                = boolean_to_icon Gitlab::Auth.omniauth_enabled?
            - reply_email = "Reply by email"
            %p{ "aria-label" => "#{reply_email}: status " + (Gitlab::IncomingEmail.enabled? ? "on" : "off") }
              = reply_email
              %span.light.float-right
                = boolean_to_icon Gitlab::IncomingEmail.enabled?

            = render_if_exists 'admin/dashboard/elastic_and_geo'

            - container_reg = "Container Registry"
            %p{ "aria-label" => "#{container_reg}: status " + (Gitlab.config.registry.enabled ? "on" : "off") }
              = container_reg
              %span.light.float-right
                = boolean_to_icon Gitlab.config.registry.enabled
            - gitlab_pages = 'GitLab Pages'
            - gitlab_pages_enabled = Gitlab.config.pages.enabled
            %p{ "aria-label" => "#{gitlab_pages}: status " + (gitlab_pages_enabled ? "on" : "off") }
              = gitlab_pages
              %span.light.float-right
                = boolean_to_icon gitlab_pages_enabled
            - gitlab_shared_runners = 'Shared Runners'
            - gitlab_shared_runners_enabled = Gitlab.config.gitlab_ci.shared_runners_enabled
            %p{ "aria-label" => "#{gitlab_shared_runners}: status " + (gitlab_shared_runners_enabled ? "on" : "off") }
              = gitlab_shared_runners
              %span.light.float-right
                = boolean_to_icon gitlab_shared_runners_enabled
      .col-md-4
        .info-well
          .well-segment.admin-well
            %h4
              Components
              - if Gitlab::CurrentSettings.version_check_enabled
                .float-right
                  = version_status_badge
            %p
              GitLab
              %span.float-right
                = Gitlab::VERSION
                = "(#{Gitlab.revision})"
            %p
              GitLab Shell
              %span.float-right
                = Gitlab::Shell.new.version
            %p
              GitLab Workhorse
              %span.float-right
                = gitlab_workhorse_version
            %p
              GitLab API
              %span.float-right
                = API::API::version
            - if Gitlab.config.pages.enabled
              %p
                GitLab Pages
                %span.float-right
                  = Gitlab::Pages::VERSION

            = render_if_exists 'admin/dashboard/geo'

            %p
              Ruby
              %span.float-right
                #{RUBY_VERSION}p#{RUBY_PATCHLEVEL}
            %p
              Rails
              %span.float-right
                #{Rails::VERSION::STRING}
            %p
              = Gitlab::Database.human_adapter_name
              %span.float-right
                = Gitlab::Database.version
            %p
              = link_to "Gitaly Servers", admin_gitaly_servers_path
    .row
      .col-md-4
        .info-well
          .well-segment.admin-well
            %h4 Latest projects
            - @projects.each do |project|
              %p
                = link_to project.full_name, admin_project_path(project), class: 'str-truncated-60'
                %span.light.float-right
                  #{time_ago_with_tooltip(project.created_at)}
      .col-md-4
        .info-well
          .well-segment.admin-well
            %h4 Latest users
            - @users.each do |user|
              %p
                = link_to [:admin, user], class: 'str-truncated-60' do
                  = user.name
                %span.light.float-right
                  #{time_ago_with_tooltip(user.created_at)}
      .col-md-4
        .info-well
          .well-segment.admin-well
            %h4 Latest groups
            - @groups.each do |group|
              %p
                = link_to [:admin, group], class: 'str-truncated-60' do
                  = group.full_name
                %span.light.float-right
                  #{time_ago_with_tooltip(group.created_at)}
